<!DOCTYPE html>
<html xmlns:th="http://www.thyleaf.org">
<head>
<meta charset="ISO-8859-1">
<title>Modifica del Viaggiatore</title>
<link th:href = "@{/css/bootstrap.min.css}" rel="stylesheet">
</head>
<body>

	<div class="container">
		<form action="#" method="post" th:action="@{/utenti/viaggiatori/modifica_viaggiatore}" th:object="${viaggiatore}">
			<input type="hidden" th:field="*{utente_id}" />
			<label> Nome </label>
			<input type="text" th:field="*{nome}" required />
			<br>
			<label> Cognome</label>
			<input type="text" th:field="*{cognome}" required />
			<br>
			<label> E-mail</label>
			<input type="text" th:field="*{e_mail}" required />
			<br>
			<label> Nazionalita'</label>
			<input type="text" th:field="*{nazionalita}"/>
			<br>
			<label> Numero dei Viaggi</label>
			<input type="text" th:field="*{n_viaggi}"/>
			<br>		
			<input type="submit" value="salva"/>
		</form>
	</div>
	
	<div class="container">
		
		<div class="row">

			<div class="col-md-6">
				<h3>Mete Preferite</h3>
				<a href="#" th:href="@{|/utenti/viaggiatori/aggiungi_meta_preferita/${viaggiatore.utente_id}}" class="btn btn-info" role="button">Aggiungi Meta Preferita</a>
		     	<table class="table" style="width:70%">
		     		<thead>
		     			<tr>
		     				<th style="width:100px" scope="col">Nome</th>
		     				<th style="width:100px" scope="col">Citta'</th>
		     				<th style="width:100px" scope="col">Paese</th>
		     				<th style="width:100px" scope="col">Descrizione</th>
		     				<th scope="col"></th>
		     			</tr>
		            </thead>
		            <tbody>
		                <tr th:each="meta : ${metePreferite}">
		                    <td style='text-align:center;vertical-align:middle' th:text="${meta.meta_nome}"></td>
		                    <td style='text-align:center;vertical-align:middle' th:text="${meta.meta_citta}"></td>
		                    <td style='text-align:center;vertical-align:middle' th:text="${meta.meta_paese}"></td>
		                    <td style='text-align:center;vertical-align:middle' th:text="${meta.meta_descrizione}"></td>
		                     
		                    <td> <a href="#" th:href="@{|/mete/lista_mete/${meta.meta_id}|}">dettagli</a> </td>
		                </tr>
		 			</tbody>
		        </table>
			</div>
			
			<div class="col-md-6">
				<h3>Hotel Scelti</h3>
				<a href="#" th:href="@{|/utenti/aggiungi_hotel/${viaggiatore.utente_id}}" class="btn btn-info" role="button">Aggiungi Hotel</a>
		     	<table class="table" style="width:70%">
		     		<thead>
		     			<tr>
		     				<th style="width:100px" scope="col">Nome</th>
		     				<th style="width:100px" scope="col">Citta'</th>
		     				<th style="width:100px" scope="col">Stelle</th>
		     				
		     				<th scope="col"></th>
		     			</tr>
		            </thead>
		            <tbody>
		                <tr th:each="hotel : ${hotelsScelti}">
		                    <td style='text-align:center;vertical-align:middle' th:text="${hotel.hotel_nome}"></td>
		                    <td style='text-align:center;vertical-align:middle' th:text="${hotel.hotel_citta}"></td>
		                    <td style='text-align:center;vertical-align:middle' th:text="${hotel.hotel_stelle}"></td>
		   
		                    <td> <a href="#" th:href="@{|/hotel/${hotel.hotel_id}|}">dettagli</a> </td>
		                </tr>
		 			</tbody>
		        </table>
			</div>
	
		</div>
	
	
	
		<div class="row">
			<div class="col-md-6">
				<h3>Lista Mete Future</h3>
				<a href="#" th:href="@{|/utenti/aggiungi_meta_futura/${viaggiatore.utente_id}}" class="btn btn-info" role="button">Aggiungi Meta Futura</a>
		     	<table class="table table-responsive table-bordered table-striped">
		     		<thead>
		     			<tr>
		     				<th scope="col">Nome</th>
		     				<th scope="col">Citta'</th>
		     				<th scope="col">Paese</th>
		     				<th scope="col">Descrizione</th>
		     				<th scope="col">#</th>
		     			</tr>
		            </thead>
		            <tbody>
		                <tr th:each="meta : ${meteFuture}">
		                    <td style='text-align:center;vertical-align:middle' th:text="${meta.meta_nome}"></td>
		                    <td style='text-align:center;vertical-align:middle' th:text="${meta.meta_citta}"></td>
		                    <td style='text-align:center;vertical-align:middle' th:text="${meta.meta_paese}"></td>
		                    <td style='text-align:center;vertical-align:middle' th:text="${meta.meta_descrizione}"></td>
		                     
		                    <td> <a href="#" th:href="@{|/mete/${meta.meta_id}|}">dettagli</a> </td>
		                </tr>
		 			</tbody>
		        </table>
		     </div>
	
		
		</div>
		
		
	</div>

</body>
</html>